{% extends 'base/base.html' %}
{% load crispy_forms_tags %}

{% block end_script %}
<script>
    document.getElementById("id_showlisted").addEventListener("change", update_filter);
    document.getElementById("id_showsold").addEventListener("change", update_filter);
    document.getElementById("btn_add_inv").addEventListener("click", add_inv_item);
    document.getElementById("btn_clear_inv").addEventListener("click", clear_inv_items);
    document.getElementById("id_invlist").addEventListener("change", update_inv_table);

    function update_filter() {
        var token = "{{csrf_token}}";
        var showlisted = $("#id_showlisted:checked").val();
        var showsold = $("#id_showsold:checked").val();
        var listinglocation = $("#id_listinglocationid :selected").val();
        var listdate = $("id_listdate").val()
        $.ajax({
            type: "POST",
            headers: { "X-CSRFToken": token },
            url: "{% url 'ajaxreply' %}",
            data: { refreshinventory: 'True', showlisted: showlisted, showsold: showsold, listinglocationid: listinglocation, listdate: listdate },
            success: function (result) {
                let html_data = ''
                result.forEach(function (invitem) {
                    html_data += `<option value="${invitem[0]}">${invitem[1]}</option>`
                });
                $("#id_inventoryid").html(html_data);
            }
        });
    };

    function add_inv_item() {
        var token = "{{csrf_token}}";
        var invid = $("#id_inventoryid").val()
        var oldinvlist = $("#id_invlist").val()
        var percent = $("#id_percent").val()
        $.ajax({
            type: "POST",
            headers: { "X-CSRFToken": token },
            url: "{% url 'ajaxreply' %}",
            data: { addinvitem: 'True', oldinvlist: oldinvlist, inventoryid : invid, percent: percent },
            success: function (result) {
                $("#id_invlist").val(result['invlist']);
                $("#invtable").html(result['tabletext']);
            }
        });
    };

    function update_inv_table() {
        var token = "{{csrf_token}}";
        var invlist = $("#id_invlist").val()
        $.ajax({
            type: "POST",
            headers: { "X-CSRFToken": token },
            url: "{% url 'ajaxreply' %}",
            data: { updatetable: 'True', invlist: invlist},
            success: function (result) {
                $("#invtable").html(result['tabletext']);
            }
        });
    };

    function clear_inv_items(){
        $("#invtable").html('');
        $("#id_invlist").val('');
    }

    update_inv_table()
</script>
{% endblock %}

{% block body_blockheader %}
<div class="container" id="frmHeader">
    <div class="row">
        <div class="col">
            <h4>{{ pageName }}</h4>
            {% include 'form/_nav.html' %}
        </div>
        <div>
            {% autoescape off %}
                {{ buttons }}
            {% endautoescape %}
        </div>
    </div>
    {% autoescape off %}
    {% for rowval in formDescription %}
        {% for val in rowval %}
            {{ val }}
        {% endfor %}
    {% endfor %}
    {% endautoescape %}
    <span id="frmErrorMsg">{{ errmsg }}</span>
</div>
{% endblock %}

{% block body_block %}
    <div class="container" id="frmContainer">
        <div class="container" id="frmSection">
            {% csrf_token %}
            {% crispy form %}
        </div>
        {% include 'standard/_contentholder.html' %}
    </div>
{% endblock %}